---
kind: pipeline
type: docker
name: Release paulxstretch

trigger:
  event:
    - tag

steps:
  - name: Build
    image: ubuntu:22.04
    commands:
      - apt-get update -y
      - |
          apt-get install -y \
            build-essential libasound2 cmake \
            fftw-dev pkg-config libx11-dev \
            x11-xserver-utils libxrandr-dev \
            libxinerama-dev libxcursor-dev  \
            libfreetype6-dev libfftw3-dev \
            libasound2-dev libjack-dev git
      - git submodule update --init --recursive  --progress
      - |
          cmake -B build -S ./ \
          -DCMAKE_BUILD_TYPE=Release \
          -DCMAKE_INSTALL_PREFIX=/usr -Wno-dev
      - cmake --build build

  - name: Prepare files for release
    image: ubuntu:22.04
    commands:
      - apt-get update
      - apt-get install zip -y
      - mkdir dist
      - export RELEASE_DIR=build/PaulXStretch_artefacts/Release
      - cp -r $RELEASE_DIR/Standalone/ /tmp
      - cp -r $RELEASE_DIR/VST3/ /tmp
      - cd /tmp
      - |
          zip -r paulxstretch-standalone.zip Standalone && \
          mv paulxstretch-standalone.zip $DRONE_WORKSPACE/dist/
      - |
          zip -r paulxstretch-vst3.zip VST3 && \
          mv paulxstretch-vst3.zip $DRONE_WORKSPACE/dist/

  - name: Release paulxstretch
    image: plugins/gitea-release
    settings:
      api_key:
        from_secret: GITEA_TOKEN
      base_url: https://git.badhouseplants.net
      files: dist/*
